CREATE TABLE cmr_accr_reconc_headers (
    CMR_ACCR_RECONC_HEADER_ID    NUMBER(18, 0) ,
    CMR_PO_DISTRIBUTION_ID       NUMBER(18, 0)     NOT NULL,
    ACCRUAL_ACCOUNT_ID           NUMBER(18, 0)     NOT NULL,
    CHART_OF_ACCOUNTS_ID         NUMBER(18, 0)     NOT NULL,
    PROCESS_RUN_ID               NUMBER(18, 0)     NOT NULL,
    SOLD_TO_BUSINESS_UNIT_ID     NUMBER(18, 0)     NOT NULL,
    CMR_ACCRUAL_AMT              NUMBER            NOT NULL,
    AP_ACCRUAL_AMT               NUMBER            NOT NULL,
    ACCRUAL_CLR_AMT              NUMBER            NOT NULL,
    EVENT_LATEST_TXN_DATE        TIMESTAMP(6)  ,
    EVENT_ENTERED_AMT            NUMBER        ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    INVENTORY_ORGANIZATION_ID    NUMBER(18, 0) ,
    DESTINATION_TYPE_CODE        VARCHAR2(100) ,
    ACCRUAL_CLR_FLAG             VARCHAR2(4)   ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    RECEIVED_QTY                 NUMBER        ,
    INVOICE_QTY                  NUMBER        ,
    CMR_ACCRUAL_AMT_ACCRUAL      NUMBER        ,
    CMR_ACCRUAL_AMT_NONRECTAX    NUMBER        ,
    AP_ACCRUAL_AMT_ACCRUAL       NUMBER        ,
    AP_ACCRUAL_AMT_NONRECTAX     NUMBER        ,
    BILL_TO_BUSINESS_UNIT_ID     NUMBER(18, 0) ,
    CURRENCY_CONVERSION_RATE     NUMBER        ,
    CURRENCY_CONVERSION_DATE     TIMESTAMP(6)  ,
    ENTERED_CMR_ACCRUAL_AMT      NUMBER        ,
    ENTERED_CMR_NONRECTAX_AMT    NUMBER        ,
    ENTERED_AP_ACCRUAL_AMT       NUMBER        ,
    ENTERED_AP_NONRECTAX_AMT     NUMBER        ,
    CMR_ACCRUAL_AMT_RECTAX       NUMBER        ,
    AP_ACCRUAL_AMT_RECTAX        NUMBER        ,
    ENTERED_CMR_RECTAX_AMT       NUMBER        ,
    ENTERED_AP_RECTAX_AMT        NUMBER        ,
    ACCOUNT_MATCH_FLAG           VARCHAR2(4)   ,
    LEDGER_CURRENCY_CODE         VARCHAR2(60)  ,
    CMR_ACCR_RECONC_HEADER_ID    NUMBER(18, 0) ,
    CMR_PO_DISTRIBUTION_ID       NUMBER(18, 0)     NOT NULL,
    ACCRUAL_ACCOUNT_ID           NUMBER(18, 0)     NOT NULL,
    CHART_OF_ACCOUNTS_ID         NUMBER(18, 0)     NOT NULL,
    PROCESS_RUN_ID               NUMBER(18, 0)     NOT NULL,
    SOLD_TO_BUSINESS_UNIT_ID     NUMBER(18, 0)     NOT NULL,
    CMR_ACCRUAL_AMT              NUMBER            NOT NULL,
    AP_ACCRUAL_AMT               NUMBER            NOT NULL,
    ACCRUAL_CLR_AMT              NUMBER            NOT NULL,
    EVENT_LATEST_TXN_DATE        TIMESTAMP(6)  ,
    EVENT_ENTERED_AMT            NUMBER        ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    INVENTORY_ORGANIZATION_ID    NUMBER(18, 0) ,
    DESTINATION_TYPE_CODE        VARCHAR2(100) ,
    ACCRUAL_CLR_FLAG             VARCHAR2(4)   ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    RECEIVED_QTY                 NUMBER        ,
    INVOICE_QTY                  NUMBER        ,
    CMR_ACCRUAL_AMT_ACCRUAL      NUMBER        ,
    CMR_ACCRUAL_AMT_NONRECTAX    NUMBER        ,
    AP_ACCRUAL_AMT_ACCRUAL       NUMBER        ,
    AP_ACCRUAL_AMT_NONRECTAX     NUMBER        ,
    BILL_TO_BUSINESS_UNIT_ID     NUMBER(18, 0) ,
    CURRENCY_CONVERSION_RATE     NUMBER        ,
    CURRENCY_CONVERSION_DATE     TIMESTAMP(6)  ,
    ENTERED_CMR_ACCRUAL_AMT      NUMBER        ,
    ENTERED_CMR_NONRECTAX_AMT    NUMBER        ,
    ENTERED_AP_ACCRUAL_AMT       NUMBER        ,
    ENTERED_AP_NONRECTAX_AMT     NUMBER        ,
    CMR_ACCRUAL_AMT_RECTAX       NUMBER        ,
    AP_ACCRUAL_AMT_RECTAX        NUMBER        ,
    ENTERED_CMR_RECTAX_AMT       NUMBER        ,
    ENTERED_AP_RECTAX_AMT        NUMBER        ,
    ACCOUNT_MATCH_FLAG           VARCHAR2(4)   ,
    LEDGER_CURRENCY_CODE         VARCHAR2(60)  ,
    CONSTRAINT pk_cmr_accr_reconc_headers PRIMARY KEY (CMR_ACCR_RECONC_HEADER_ID, CMR_ACCR_RECONC_HEADER_ID)
);
